%define	name	kernel-uml

%define	version	2.6.16
%define	release	%mkrel 1

%define	Summary	The user mode linux kernel

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Kernel and hardware

Source0:	linux-%{version}.tar.bz2
Source1:	%{name}-config.bz2
License:	GPL
Url:		http://user-mode-linux.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-static-devel

%description
User-Mode Linux is a safe, secure way of running Linux versions and
Linux processes. Run buggy software, experiment with new Linux kernels
or distributions, and poke around in the internals of Linux, all
without risking your main Linux setup.

User-Mode Linux gives you a virtual machine that may have more hardware
and software virtual resources than your actual, physical computer. Disk
storage for the virtual machine is entirely contained inside a single
file on your physical machine. You can assign your virtual machine only
the hardware access you want it to have. With properly limited access,
nothing you do on the virtual machine can change or damage your real
computer, or its software.

%prep
%setup -q -n linux-%{version}
bzcat %SOURCE1 > .config

%build
%make oldconfig ARCH=um
make linux ARCH=um

%install
rm -rf $RPM_BUILD_ROOT
%__mkdir_p %buildroot/%_bindir

%__cp linux %buildroot/%_bindir/%name-%version-%release
cd %buildroot/%_bindir
%__ln_s %name-%version-%release %name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Documentation/uml
%_bindir/%name
%_bindir/%name-%version-%release

%changelog
* Mon Mar 20 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.16-1mdk
- 2.6.16
- improve uml options
  - enable pcap transport
- improve kernel options
  - enable ocfs2
  - enable xfrm network sercurity hooks
  - enable md raid5

* Wed Feb 8 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.15.6-1mdk
- 2.6.15.6
- regenerated .config

* Fri Dec 16 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.14.4-1mdk
- 2.6.14.4
- regenerated .config
  - add fuse support

* Fri Sep 30 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.13.2-1mdk
- 2.6.13.2

* Fri Sep 2 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.13-1mdk
- 2.6.13

* Sat Jul 9 2005  Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.12.2-1mdk
- 2.6.12.2
- apply revert-fork-instead-of-clone.patch
- enable software and uml watchdogs

* Thu Jun 23 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.12.1-1mdk
- 2.6.12.1

* Tue Jun 21 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.6.12-1mdk
- 2.6.12
- this release can be compiled with gcc4
- regenerated .config
- improve uml options
  - enable hostfs
  - enable network block device
- improve kernel options
  - enable nfs v3,v4 client and server support
  - enable smbfs support and cifs support
  - enable socket and networking security hooks
  - enable nsa boot parameter
  - enable aes cipher
- changes from previous package which has not been released
  - 2.6.11.8
  - total rewrite of spec file
  - change Group
  - improve uml options
    - enable magic sysrq
    - enable synchronous disk IO for UBD
  - improve kernel options
    - add -uml as local version
    - enable PF_KEY, AH and ESP transformation (aka enable ipsec)
    - disable packet generator
    - enable ipv6
    - enable tun/tap support
    - enable security labels on filesystems
    - enable quota format v2
    - disable ntfs write support
    - enable default linux capabilities
    - enable nsa linux
    - disable md_raid 10,5,6, md_multipath
    - enable cryto target for device mapper
    - disable udf due to compilation error
  - %%mkrel
  - rename kernel binary and related symlink due to coherency with package name
  - this package has not been released

* Sun Feb 27 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.6.10-2mdk
- enabled unix sockets (Jean-Christophe Heger)

* Tue Feb 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-1mdk
- new release
- patch 1: fix build
- source 1:
  o update
  o do not automatically mount devfs
- add doc

* Tue Sep 7 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.6.8.1-1mdk
- 2.6.8.1

* Wed Aug 11 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.6.7-1mdk
- 2.6.7

* Mon Jul 19 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.6.6-1mdk
- updated to 2.6.6
- regenerated .config
- some macroszification
- redesigned symlink creation, removed from post

* Thu Oct 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.0-0.test5.3mdk
- reupload

* Wed Oct 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.0-0.test5.2mdk
- cleanup

* Tue Oct 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.0-0.test5.1mdk
- First mdk spec 

